//
//  ViewController.m
//  AliMeetingUISDKSample-OC
//
//  Created by fxm on 2019/12/27.
//  Copyright © 2019 Alibaba. All rights reserved.
//

#import "ViewController.h"
#import <AliMeetingUISDK/AliMeetingUISDK-Swift.h>

@interface ViewController ()

@end

@implementation ViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    // Do any additional setup after loading the view.
}
- (IBAction)joinMeeting:(id)sender {
    NSDictionary *meetingConfig = @{AliMeetingConfigKey.meetingCode: @"",
           AliMeetingConfigKey.meetingToken: @"",
           AliMeetingConfigKey.meetingUUID: @"",
           AliMeetingConfigKey.memberUUID: @"",
           AliMeetingConfigKey.meetingDomain: @"",
           AliMeetingConfigKey.clientAppID: @"",
           AliMeetingConfigKey.userID: @"",
           AliMeetingConfigKey.isSecureTransport: @(NO)
    };
       
    AliMeetingUISDKManager.shared.onlyMasterCanMuteAudio = YES;
    AliMeetingUISDKManager.shared.onlyMasterCanHangUp = YES;
    ///自定义分享操作
    //复制到剪切板
    AliMeetingUISDKManager.shared.copyAction = ^{
           NSLog(@"copy share");
    };
    //分享到钉钉
    AliMeetingUISDKManager.shared.dingTalkShareAction = ^{
           NSLog(@"ding talk share");
    };
    //分享到我微信
    AliMeetingUISDKManager.shared.wechatShareAction = ^{
           NSLog(@"wechat share");
    };
    ///邀请入会（不实现就不展示邀请入口）
    AliMeetingUISDKManager.shared.sendAnInvitation = ^{
        NSLog(@"邀请入会");
    };
    ///入会成功回调
    AliMeetingUISDKManager.shared.onMeetingJoinedSuccess = ^{
        NSLog(@"加入会议成功");
    };
    ///退会成功回调
    AliMeetingUISDKManager.shared.onMeetingEnding = ^(enum ALiMeetingSDKFinishCode code, NSString * _Nonnull reson) {
        NSLog(@"%ld",code);
        NSLog(@"%@",reson);
    };
    /// 自定义会后评价(不实现就不展示会后评价)
    NSString *urlStr = [NSString stringWithFormat:@"https://meeting-site.teambition.com/rating?meetingId=%@",meetingConfig[AliMeetingConfigKey.memberUUID]];
    AliMeetingUISDKManager.shared.feedbackURL = [NSURL URLWithString:urlStr];
    AliMeetingUISDKManager.shared.feedbackCustomCookie = @"version=ga";
    ///用户入会/离开回调
    AliMeetingUISDKManager.shared.onMeetingUserStatusChange = ^(ALiMeetingSDKMeetingClient * _Nonnull client, enum AliMeetingSDKUserStatusEvent event) {
        NSLog(@"%@",client.name);
        NSLog(@"%ld",event);
    };
    ///设置日志级别
    AliMeetingUISDKManager.shared.logLevel = LoggingLevelAll;
    ///加入会议
    [AliMeetingUISDKManager.shared joinMeetingWithConfig:meetingConfig];
}

@end
